
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSForecast complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSForecast"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Price" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *         &lt;element name="Status" type="{http://samo.cz/iva/}WSResultStatus" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSForecast", propOrder = {
    "price",
    "status"
})
public class WSForecast {

    @XmlElement(name = "Price", nillable = true)
    protected WSPrice price;
    @XmlElement(name = "Status", nillable = true)
    protected WSResultStatus status;

    /**
     * Gets the value of the price property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getPrice() {
        return price;
    }

    /**
     * Sets the value of the price property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setPrice(WSPrice value) {
        this.price = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link WSResultStatus }
     *     
     */
    public WSResultStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSResultStatus }
     *     
     */
    public void setStatus(WSResultStatus value) {
        this.status = value;
    }

    public WSForecast withPrice(WSPrice value) {
        setPrice(value);
        return this;
    }

    public WSForecast withStatus(WSResultStatus value) {
        setStatus(value);
        return this;
    }

}
